﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;
using System.Drawing;

namespace PictureBox_Byte_Array_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnChoose_Click(object sender, EventArgs e)
        {
            using (OpenFileDialog openFileDialog1 = new OpenFileDialog())
            {
                if (openFileDialog1.ShowDialog() == DialogResult.OK)
                {
                    lblFileName.Text = Path.GetFileName(openFileDialog1.FileName);

                    //Read Image File into Image object.
                    Image img = Image.FromFile(openFileDialog1.FileName);

                    //ImageConverter Class convert Image object to Byte Array.
                    byte[] bytes = (byte[])(new ImageConverter()).ConvertTo(img, typeof(byte[]));

                    //Convert Byte Array to Image and display in PictureBox.
                    pictureBox1.Image = Image.FromStream(new MemoryStream(bytes));
                }
            }
        }
    }
}
